ISO646(3) | Library Functions Manual | ISO646(3)

# NAME

iso646 — alternative operator spellings

# SYNOPSIS

#include <iso646.h>

# DESCRIPTION

The <iso646.h> header defines eleven alternative spellings for standard operators:

`1.` | and | &&
`2.` | and_eq | &=
`3.` | bitand | &
`4.` | bitor | |
`5.` | compl | ~
`6.` | not | !
`7.` | not_eq | ≠
`8.` | or | ||
`9.` | or_eq | |=
`10.` | xor | ^
`11.` | xor_eq | ^=

Each macro expands to the corresponding token.

# RATIONALE

None.

# SEE ALSO

operator(7)

# STANDARDS

The <iso646.h> header conforms to ANSI X3.159-1989 (“ANSI C89”).

# HISTORY

The <iso646.h> header was first introduced in NetBSD 1.1.

December 16, 2010 | NetBSD 7.2